Please read the posts in the Announcements section about the current status of Cumulus development now that I have retired

Please read this post before posting

Latest Cumulus release v1.9.4 (build 1099) - Nov 28 2014
Latest Cumulus MX release - v3.0.0 build 3043 Jan 20 2017. See this post for download

CumulusMX Docker Image

Discussion of version 3 of Cumulus, which runs on Windows, Linux, and OS X. All Cumulus MX queries in here, please.
Jiinxt
Posts: 4
Joined: Sun Oct 29, 2017 5:14 pm
Weather Station: Ambient Weather
Operating System: Ubuntu 16.04

CumulusMX Docker Image

Postby Jiinxt » Tue Oct 31, 2017 12:18 am

Hi Guys, Im new here. My dad gave me an old weather station and told me that he was using Cumulus 1 to post weather data to Weather Underground. I have a hatred for windows but was having issues getting my weather station (that works over USB) to talk to CumulusMX in linux. Mostly due to it requiring an old version of mono. I also needed this older mono to run parallel with the latest version of mono, which is why I decided to go the docker route. So I decided to get everything working 100% and then give you guys the docker image if you would like to use it.

I havent played around with it much, so I dont know exactly what needs to persist but I will improve upon this image if you guys need me to. Just figured it'd be nice to share.

Also, I had to upload v.3.0.0 build 3043 to my S3 account so it will play nicely with docker. If this is not allowed please let me know and Ill remove that portion, it will just require more work on the users end to get it to work.

Anyways, the docker file:

Code: Select all

## Maintained by Joey Stout <jstout@jiinxt.com>
## For the CumulusMX community
##
## How to build:
##  1) Install Docker
##  2) Run command:
##    docker build -t cumulus:latest --build-arg TZ=your/tz/data /path/to/this/file
##
##
## How to run:
##  1) Run command:
##    docker run -dit -p 8998:8998 -p 8002:8002 --name cumulus --privileged -v /dev/bus/usb:/dev/bus/usb cumulus:latest
##  2) Browse your.ip.here:8998, and setup cumulus
##  3) Restart the container:
##    docker stop cumulus && docker start cumulus

FROM debian:wheezy
MAINTAINER Joey Stout <jstout@jiinxt.com>

ARG TZ=America/Indiana/Indianapolis

RUN apt-get update \
   && apt-get upgrade -y \
   && apt-get install -y wget unzip software-properties-common curl \
    && rm -rf /var/lib/apt/lists/*

RUN apt-key adv --keyserver pgp.mit.edu --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF

RUN echo "deb http://download.mono-project.com/repo/debian wheezy/snapshots/4.0.5.1 main" > /etc/apt/sources.list.d/mono-xamarin.list \
        && apt-get update \
        && apt-get install -y mono-complete \
        && rm -rf /var/lib/apt/lists/*

RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

RUN wget https://s3.us-east-2.amazonaws.com/jiinxt.com/CumulusMX.zip
RUN unzip CumulusMX.zip

CMD cd CumulusMX && mono CumulusMX.exe

jank
Posts: 293
Joined: Sat Jun 13, 2015 5:57 pm
Weather Station: weatherstation
Operating System: Debian Wheezy
Location: Germany

Re: CumulusMX Docker Image

Postby jank » Fri Nov 03, 2017 12:52 pm

Hello Jiinxt

Have this not tested yet, but docker is the future for outside hosting.......
Great job
Want to see your Station values on SSH? Cumulusnow http://sandaysoft.com/forum/viewtopic.php?f=27&t=14062
Want a Start|Stop|Restart Script for CumulusMX on RaspberryPi? cumulusmx.sh http://sandaysoft.com/forum/viewtopic.php?f=27&t=13767

Jiinxt
Posts: 4
Joined: Sun Oct 29, 2017 5:14 pm
Weather Station: Ambient Weather
Operating System: Ubuntu 16.04

Re: CumulusMX Docker Image

Postby Jiinxt » Fri Nov 03, 2017 5:50 pm

Jank,

No problem, I've been using it for about 5 days now with no issues. Figured it would help out people who aren't comfortable or familiar with linux get going quickly (setup time less than 60 seconds).

User avatar
kasper58
Posts: 23
Joined: Tue Jul 12, 2011 5:17 am
Weather Station: Aercus Instruments WS3083
Operating System: Hopefully QNAS LXC Docker
Location: New Zealand
Contact:

Re: CumulusMX Docker Image

Postby kasper58 » Sun Nov 05, 2017 7:53 am

Great.... and sorry , I'm being thick.
I created a file called cumulus and placed it in my public directory.
I then ran this command in putty and got this response.

Code: Select all

[~] # docker build -t cumulus:latest --build-arg TZ=/share/CACHEDEV1_DATA/Public/Cumulus
container-station/docker: "build" requires 1 argument.
See 'container-station/docker build --help'.

Usage:  docker build [OPTIONS] PATH | URL | -

Build an image from a Dockerfile
[~] #

Regards Warren

Jiinxt
Posts: 4
Joined: Sun Oct 29, 2017 5:14 pm
Weather Station: Ambient Weather
Operating System: Ubuntu 16.04

Re: CumulusMX Docker Image

Postby Jiinxt » Sun Nov 05, 2017 1:15 pm

Hi Kasper58,

Im not sure which one it is, but either Mono or Cumulus requires your timezone to be setup correctly.
When do you the "--build-arg TZ=your/tz/data" part, you need to supply your own TZData from the TZ Database. A list of values can be found here:
https://en.wikipedia.org/wiki/List_of_t ... time_zones

For example, Im in eastern time, so I would build the docker image like so:

Code: Select all

docker build -t cumulus:latest --build-arg TZ=America/Indiana/Indianapolis /home/joey/Dockerfile

Also, the final argument needs to point to a file called a Dockerfile. (the "/home/joey/Dockerfile" part at the end of my example above). You could copy/paste the Dockerfile above and create it manually, or I just went ahead and uploaded the Dockerfile to S3 so you could just download it:
https://s3.us-east-2.amazonaws.com/jiin ... Dockerfile

I've been contemplating pushing this docker image to docker hub to make installation even easier for everyone, then you'd just need to use the docker run command. But I was kind of waiting for an admin to review this post before doing so since I would be pushing CumulusMX to dockerhub.

User avatar
steve
Cumulus Author
Posts: 26311
Joined: Mon Jun 02, 2008 6:49 pm
Weather Station: None
Operating System: None
Location: On tour in Portugal
Contact:

Re: CumulusMX Docker Image

Postby steve » Mon Nov 06, 2017 3:02 pm

Warren brought this thread to my attention - I had stopped reading it as it wasn’t something I knew anything about.

I don’t really understand what you’re proposing to do, but I don’t have any problems with you including MX as long as you don’t require payment for it, or claim that you wrote MX.
Steve
-----
Hosting available for Cumulus web sites. See http://sandaysoft.com/forum/viewtopic.php?f=2&t=11876

Please read the posts in the Announcements section about the current status of Cumulus development since I have retired from my day job

User avatar
kasper58
Posts: 23
Joined: Tue Jul 12, 2011 5:17 am
Weather Station: Aercus Instruments WS3083
Operating System: Hopefully QNAS LXC Docker
Location: New Zealand
Contact:

Re: CumulusMX Docker Image

Postby kasper58 » Mon Nov 06, 2017 7:49 pm

Hi Joey
Having a wee problem here, I installed the docker and that was fine. The problem I had was with the IP that the webpage was on as it used QNAP DHCP to assign., and I couldn't find it.
So I remove and reinstalled everything including the Docker app. After some issues, I got the Install command to run and complete with some errors.

Code: Select all

[~] # docker build -t cumulus:latest --build-arg TZ=Pacific/Auckland /share/CACHEDEV1_DATA/Public/
Sending build context to Docker daemon 122.2 GB
Step 1 : FROM debian:wheezy
wheezy: Pulling from library/debian
39e552a2b1f7: Pull complete
Digest: sha256:e2a7ec190cf20118aa2a958c92cb9467d89b112a430848d3ff08461b60a0957f
Status: Downloaded newer image for debian:wheezy
 ---> f47fe1c60a2f
Step 2 : MAINTAINER Joey Stout <jstout@jiinxt.com>
 ---> Running in 52eb8569713a
 ---> 4bb9e8a190c0
Removing intermediate container 52eb8569713a
Step 3 : ARG TZ=Pacific/Auckland
 ---> Running in d7382acd9a5b
 ---> 0ebbf0ffe72a
Removing intermediate container d7382acd9a5b
Step 4 : RUN apt-get update    && apt-get upgrade -y    && apt-get install -y wget unzip software-properties-common curl     && rm -rf /var/lib/apt/lists/*
 ---> Running in e09111bbeeb3
Get:1 http://security.debian.org wheezy/updates Release.gpg [1601 B]
Get:2 http://security.debian.org wheezy/updates Release [39.0 kB]
Get:3 http://security.debian.org wheezy/updates/main amd64 Packages [732 kB]
Get:4 http://deb.debian.org wheezy Release.gpg [2373 B]
Get:5 http://deb.debian.org wheezy-updates Release.gpg [1601 B]
Get:6 http://deb.debian.org wheezy Release [191 kB]
Get:7 http://deb.debian.org wheezy-updates Release [155 kB]
Get:8 http://deb.debian.org wheezy/main amd64 Packages [7634 kB]
Get:9 http://deb.debian.org wheezy-updates/main amd64 Packages [7481 B]
Fetched 8764 kB in 19s (447 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following packages will be upgraded:
  libdb5.1 tzdata
2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 1216 kB of archives.
After this operation, 15.4 kB of additional disk space will be used.
Get:1 http://security.debian.org/ wheezy/updates/main libdb5.1 amd64 5.1.29-5+deb7u1 [723 kB]
Get:2 http://security.debian.org/ wheezy/updates/main tzdata all 2017c-0+deb7u1 [493 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 1216 kB in 1s (941 kB/s)
(Reading database ... 6747 files and directories currently installed.)
Preparing to replace libdb5.1:amd64 5.1.29-5 (using .../libdb5.1_5.1.29-5+deb7u1_amd64.deb) ...
Unpacking replacement libdb5.1:amd64 ...
Setting up libdb5.1:amd64 (5.1.29-5+deb7u1) ...
(Reading database ... 6747 files and directories currently installed.)
Preparing to replace tzdata 2017b-0+deb7u1 (using .../tzdata_2017c-0+deb7u1_all.deb) ...
Unpacking replacement tzdata ...
Setting up tzdata (2017c-0+deb7u1) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (Can't locate Term/ReadLine.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
debconf: falling back to frontend: Teletype

Current default time zone: 'Etc/UTC'
Local time is now:      Mon Nov  6 09:46:57 UTC 2017.
Universal Time is now:  Mon Nov  6 09:46:57 UTC 2017.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
  adduser ca-certificates dbus file gir1.2-glib-2.0 krb5-locales libcap2
  libclass-isa-perl libcurl3 libdbus-1-3 libdbus-glib-1-2 libexpat1 libffi5
  libgcrypt11 libgdbm3 libgirepository-1.0-1 libglib2.0-0 libglib2.0-data
  libgnutls26 libgpg-error0 libgpm2 libgssapi-krb5-2 libidn11 libk5crypto3
  libkeyutils1 libkrb5-3 libkrb5support0 libldap-2.4-2 libmagic1 libncursesw5
  libp11-kit0 libpcre3 librtmp0 libsasl2-2 libsasl2-modules libsqlite3-0
  libssh2-1 libssl1.0.0 libswitch-perl libsystemd-login0 libtasn1-3 libxml2
  mime-support openssl perl perl-modules python python-dbus python-dbus-dev
  python-gi python-minimal python2.7 python2.7-minimal sgml-base
  shared-mime-info xml-core
Suggested packages:
  dbus-x11 rng-tools gpm krb5-doc krb5-user libsasl2-modules-otp
  libsasl2-modules-ldap libsasl2-modules-sql libsasl2-modules-gssapi-mit
  libsasl2-modules-gssapi-heimdal perl-doc libterm-readline-gnu-perl
  libterm-readline-perl-perl make libpod-plainer-perl python-doc python-tk
  python-dbus-doc python-dbus-dbg python-gi-cairo python2.7-doc binutils
  binfmt-support sgml-base-doc zip debhelper
The following NEW packages will be installed:
  adduser ca-certificates curl dbus file gir1.2-glib-2.0 krb5-locales libcap2
  libclass-isa-perl libcurl3 libdbus-1-3 libdbus-glib-1-2 libexpat1 libffi5
  libgcrypt11 libgdbm3 libgirepository-1.0-1 libglib2.0-0 libglib2.0-data
  libgnutls26 libgpg-error0 libgpm2 libgssapi-krb5-2 libidn11 libk5crypto3
  libkeyutils1 libkrb5-3 libkrb5support0 libldap-2.4-2 libmagic1 libncursesw5
  libp11-kit0 libpcre3 librtmp0 libsasl2-2 libsasl2-modules libsqlite3-0
  libssh2-1 libssl1.0.0 libswitch-perl libsystemd-login0 libtasn1-3 libxml2
  mime-support openssl perl perl-modules python python-dbus python-dbus-dev
  python-gi python-minimal python2.7 python2.7-minimal sgml-base
  shared-mime-info software-properties-common unzip wget xml-core
0 upgraded, 60 newly installed, 0 to remove and 0 not upgraded.
Need to get 29.2 MB of archives.
After this operation, 92.5 MB of additional disk space will be used.
Get:1 http://security.debian.org/ wheezy/updates/main libgcrypt11 amd64 1.5.0-5+deb7u6 [301 kB]
Get:2 http://security.debian.org/ wheezy/updates/main libssl1.0.0 amd64 1.0.1t-1+deb7u2 [1278 kB]
Get:3 http://security.debian.org/ wheezy/updates/main libtasn1-3 amd64 2.13-2+deb7u5 [68.9 kB]
Get:4 http://security.debian.org/ wheezy/updates/main libkrb5support0 amd64 1.10.1+dfsg-5+deb7u8 [50.5 kB]
Get:5 http://security.debian.org/ wheezy/updates/main libk5crypto3 amd64 1.10.1+dfsg-5+deb7u8 [113 kB]
Get:6 http://security.debian.org/ wheezy/updates/main libkrb5-3 amd64 1.10.1+dfsg-5+deb7u8 [394 kB]
Get:7 http://deb.debian.org/debian/ wheezy/main libgpg-error0 amd64 1.10-3.1 [77.9 kB]
Get:8 http://security.debian.org/ wheezy/updates/main libgssapi-krb5-2 amd64 1.10.1+dfsg-5+deb7u8 [150 kB]
Get:9 http://security.debian.org/ wheezy/updates/main libidn11 amd64 1.25-2+deb7u3 [180 kB]
Get:10 http://security.debian.org/ wheezy/updates/main libmagic1 amd64 5.11-2+deb7u9 [205 kB]
Get:11 http://security.debian.org/ wheezy/updates/main libldap-2.4-2 amd64 2.4.31-2+deb7u3 [244 kB]
Get:12 http://deb.debian.org/debian/ wheezy/main libgdbm3 amd64 1.8.3-11 [46.9 kB]
Get:13 http://security.debian.org/ wheezy/updates/main librtmp0 amd64 2.4+20111222.git4e06e21-1+deb7u1 [62.5 kB]
Get:14 http://security.debian.org/ wheezy/updates/main libcurl3 amd64 7.26.0-1+wheezy22 [334 kB]
Get:15 http://security.debian.org/ wheezy/updates/main libffi5 amd64 3.0.10-3+deb7u2 [25.5 kB]
Get:16 http://security.debian.org/ wheezy/updates/main libexpat1 amd64 2.1.0-1+deb7u5 [139 kB]
Get:17 http://security.debian.org/ wheezy/updates/main libsqlite3-0 amd64 3.7.13-1+deb7u4 [454 kB]
Get:18 http://security.debian.org/ wheezy/updates/main libxml2 amd64 2.8.0+dfsg1-7+wheezy9 [907 kB]
Get:19 http://deb.debian.org/debian/ wheezy/main libncursesw5 amd64 5.9-10 [141 kB]
Get:20 http://deb.debian.org/debian/ wheezy/main libcap2 amd64 1:2.22-1.2 [13.6 kB]
Get:21 http://security.debian.org/ wheezy/updates/main perl-modules all 5.14.2-21+deb7u5 [3441 kB]
Get:22 http://deb.debian.org/debian/ wheezy/main libp11-kit0 amd64 0.12-3 [52.8 kB]
Get:23 http://deb.debian.org/debian/ wheezy/main libgnutls26 amd64 2.12.20-8+deb7u5 [620 kB]
Get:24 http://security.debian.org/ wheezy/updates/main perl amd64 5.14.2-21+deb7u5 [4434 kB]
Get:25 http://deb.debian.org/debian/ wheezy/main libgpm2 amd64 1.20.4-6 [35.8 kB]
Get:26 http://deb.debian.org/debian/ wheezy/main libkeyutils1 amd64 1.5.5-3+deb7u1 [8664 B]
Get:27 http://deb.debian.org/debian/ wheezy/main libpcre3 amd64 1:8.30-5 [242 kB]
Get:28 http://security.debian.org/ wheezy/updates/main libsystemd-login0 amd64 44-11+deb7u5 [29.6 kB]
Get:29 http://security.debian.org/ wheezy/updates/main wget amd64 1.13.4-3+deb7u5 [770 kB]
Get:30 http://deb.debian.org/debian/ wheezy/main libsasl2-2 amd64 2.1.25.dfsg1-6+deb7u1 [120 kB]
Get:31 http://deb.debian.org/debian/ wheezy/main libssh2-1 amd64 1.4.2-1.1+deb7u2 [134 kB]
Get:32 http://security.debian.org/ wheezy/updates/main file amd64 5.11-2+deb7u9 [53.5 kB]
Get:33 http://security.debian.org/ wheezy/updates/main krb5-locales all 1.10.1+dfsg-5+deb7u8 [1504 kB]
Get:34 http://deb.debian.org/debian/ wheezy/main libdbus-1-3 amd64 1.6.8-1+deb7u6 [174 kB]
Get:35 http://security.debian.org/ wheezy/updates/main python2.7-minimal amd64 2.7.3-6+deb7u3 [1759 kB]
Get:36 http://deb.debian.org/debian/ wheezy/main libglib2.0-0 amd64 2.33.12+really2.32.4-5 [1838 kB]
Get:37 http://deb.debian.org/debian/ wheezy/main libdbus-glib-1-2 amd64 0.100.2-1 [203 kB]
Get:38 http://security.debian.org/ wheezy/updates/main python2.7 amd64 2.7.3-6+deb7u3 [2717 kB]
Get:39 http://deb.debian.org/debian/ wheezy/main libswitch-perl all 2.16-2 [21.0 kB]
Get:40 http://deb.debian.org/debian/ wheezy/main libclass-isa-perl all 0.36-3 [12.3 kB]
Get:41 http://deb.debian.org/debian/ wheezy/main sgml-base all 1.26+nmu4 [14.6 kB]
Get:42 http://deb.debian.org/debian/ wheezy/main adduser all 3.113+nmu3 [264 kB]
Get:43 http://security.debian.org/ wheezy/updates/main openssl amd64 1.0.1t-1+deb7u2 [700 kB]
Get:44 http://deb.debian.org/debian/ wheezy/main mime-support all 3.52-1+deb7u1 [35.5 kB]
Get:45 http://security.debian.org/ wheezy/updates/main curl amd64 7.26.0-1+wheezy22 [273 kB]
Get:46 http://deb.debian.org/debian/ wheezy/main python-minimal all 2.7.3-4+deb7u1 [42.8 kB]
Get:47 http://security.debian.org/ wheezy/updates/main unzip amd64 6.0-8+deb7u6 [196 kB]
Get:48 http://deb.debian.org/debian/ wheezy/main python all 2.7.3-4+deb7u1 [181 kB]
Get:49 http://deb.debian.org/debian/ wheezy/main ca-certificates all 20130119+deb7u1 [210 kB]
Get:50 http://deb.debian.org/debian/ wheezy/main dbus amd64 1.6.8-1+deb7u6 [404 kB]
Get:51 http://deb.debian.org/debian/ wheezy/main libgirepository-1.0-1 amd64 1.32.1-1 [107 kB]
Get:52 http://deb.debian.org/debian/ wheezy/main gir1.2-glib-2.0 amd64 1.32.1-1 [171 kB]
Get:53 http://deb.debian.org/debian/ wheezy/main libglib2.0-data all 2.33.12+really2.32.4-5 [1607 kB]
Get:54 http://deb.debian.org/debian/ wheezy/main libsasl2-modules amd64 2.1.25.dfsg1-6+deb7u1 [116 kB]
Get:55 http://deb.debian.org/debian/ wheezy/main python-dbus-dev all 1.1.1-1 [109 kB]
Get:56 http://deb.debian.org/debian/ wheezy/main python-dbus amd64 1.1.1-1 [262 kB]
Get:57 http://deb.debian.org/debian/ wheezy/main python-gi amd64 3.2.2-2 [518 kB]
Get:58 http://deb.debian.org/debian/ wheezy/main shared-mime-info amd64 1.0-1+b1 [595 kB]
Get:59 http://deb.debian.org/debian/ wheezy/main software-properties-common all 0.82.7.1debian1 [28.9 kB]
Get:60 http://deb.debian.org/debian/ wheezy/main xml-core all 0.13+nmu2 [24.2 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 29.2 MB in 31s (928 kB/s)
Selecting previously unselected package libgpg-error0:amd64.
(Reading database ... 6744 files and directories currently installed.)
Unpacking libgpg-error0:amd64 (from .../libgpg-error0_1.10-3.1_amd64.deb) ...
Selecting previously unselected package libgcrypt11:amd64.
Unpacking libgcrypt11:amd64 (from .../libgcrypt11_1.5.0-5+deb7u6_amd64.deb) ...
Selecting previously unselected package libgdbm3:amd64.
Unpacking libgdbm3:amd64 (from .../libgdbm3_1.8.3-11_amd64.deb) ...
Selecting previously unselected package libncursesw5:amd64.
Unpacking libncursesw5:amd64 (from .../libncursesw5_5.9-10_amd64.deb) ...
Selecting previously unselected package libssl1.0.0:amd64.
Unpacking libssl1.0.0:amd64 (from .../libssl1.0.0_1.0.1t-1+deb7u2_amd64.deb) ...
Selecting previously unselected package libtasn1-3:amd64.
Unpacking libtasn1-3:amd64 (from .../libtasn1-3_2.13-2+deb7u5_amd64.deb) ...
Selecting previously unselected package libcap2:amd64.
Unpacking libcap2:amd64 (from .../libcap2_1%3a2.22-1.2_amd64.deb) ...
Selecting previously unselected package libp11-kit0:amd64.
Unpacking libp11-kit0:amd64 (from .../libp11-kit0_0.12-3_amd64.deb) ...
Selecting previously unselected package libgnutls26:amd64.
Unpacking libgnutls26:amd64 (from .../libgnutls26_2.12.20-8+deb7u5_amd64.deb) ...
Selecting previously unselected package libgpm2:amd64.
Unpacking libgpm2:amd64 (from .../libgpm2_1.20.4-6_amd64.deb) ...
Selecting previously unselected package libkeyutils1:amd64.
Unpacking libkeyutils1:amd64 (from .../libkeyutils1_1.5.5-3+deb7u1_amd64.deb) ...
Selecting previously unselected package libkrb5support0:amd64.
Unpacking libkrb5support0:amd64 (from .../libkrb5support0_1.10.1+dfsg-5+deb7u8_amd64.deb) ...
Selecting previously unselected package libk5crypto3:amd64.
Unpacking libk5crypto3:amd64 (from .../libk5crypto3_1.10.1+dfsg-5+deb7u8_amd64.deb) ...
Selecting previously unselected package libkrb5-3:amd64.
Unpacking libkrb5-3:amd64 (from .../libkrb5-3_1.10.1+dfsg-5+deb7u8_amd64.deb) ...
Selecting previously unselected package libgssapi-krb5-2:amd64.
Unpacking libgssapi-krb5-2:amd64 (from .../libgssapi-krb5-2_1.10.1+dfsg-5+deb7u8_amd64.deb) ...
Selecting previously unselected package libidn11:amd64.
Unpacking libidn11:amd64 (from .../libidn11_1.25-2+deb7u3_amd64.deb) ...
Selecting previously unselected package libmagic1:amd64.
Unpacking libmagic1:amd64 (from .../libmagic1_5.11-2+deb7u9_amd64.deb) ...
Selecting previously unselected package libpcre3:amd64.
Unpacking libpcre3:amd64 (from .../libpcre3_1%3a8.30-5_amd64.deb) ...
Selecting previously unselected package libsasl2-2:amd64.
Unpacking libsasl2-2:amd64 (from .../libsasl2-2_2.1.25.dfsg1-6+deb7u1_amd64.deb) ...
Selecting previously unselected package libldap-2.4-2:amd64.
Unpacking libldap-2.4-2:amd64 (from .../libldap-2.4-2_2.4.31-2+deb7u3_amd64.deb) ...
Selecting previously unselected package librtmp0:amd64.
Unpacking librtmp0:amd64 (from .../librtmp0_2.4+20111222.git4e06e21-1+deb7u1_amd64.deb) ...
Selecting previously unselected package libssh2-1:amd64.
Unpacking libssh2-1:amd64 (from .../libssh2-1_1.4.2-1.1+deb7u2_amd64.deb) ...
Selecting previously unselected package libcurl3:amd64.
Unpacking libcurl3:amd64 (from .../libcurl3_7.26.0-1+wheezy22_amd64.deb) ...
Selecting previously unselected package libdbus-1-3:amd64.
Unpacking libdbus-1-3:amd64 (from .../libdbus-1-3_1.6.8-1+deb7u6_amd64.deb) ...
Selecting previously unselected package libffi5:amd64.
Unpacking libffi5:amd64 (from .../libffi5_3.0.10-3+deb7u2_amd64.deb) ...
Selecting previously unselected package libglib2.0-0:amd64.
Unpacking libglib2.0-0:amd64 (from .../libglib2.0-0_2.33.12+really2.32.4-5_amd64.deb) ...
Selecting previously unselected package libdbus-glib-1-2:amd64.
Unpacking libdbus-glib-1-2:amd64 (from .../libdbus-glib-1-2_0.100.2-1_amd64.deb) ...
Selecting previously unselected package libexpat1:amd64.
Unpacking libexpat1:amd64 (from .../libexpat1_2.1.0-1+deb7u5_amd64.deb) ...
Selecting previously unselected package libsqlite3-0:amd64.
Unpacking libsqlite3-0:amd64 (from .../libsqlite3-0_3.7.13-1+deb7u4_amd64.deb) ...
Selecting previously unselected package libxml2:amd64.
Unpacking libxml2:amd64 (from .../libxml2_2.8.0+dfsg1-7+wheezy9_amd64.deb) ...
Selecting previously unselected package libswitch-perl.
Unpacking libswitch-perl (from .../libswitch-perl_2.16-2_all.deb) ...
Selecting previously unselected package libclass-isa-perl.
Unpacking libclass-isa-perl (from .../libclass-isa-perl_0.36-3_all.deb) ...
Selecting previously unselected package perl-modules.
Unpacking perl-modules (from .../perl-modules_5.14.2-21+deb7u5_all.deb) ...
Selecting previously unselected package perl.
Unpacking perl (from .../perl_5.14.2-21+deb7u5_amd64.deb) ...
Selecting previously unselected package sgml-base.
Unpacking sgml-base (from .../sgml-base_1.26+nmu4_all.deb) ...
Selecting previously unselected package libsystemd-login0:amd64.
Unpacking libsystemd-login0:amd64 (from .../libsystemd-login0_44-11+deb7u5_amd64.deb) ...
Selecting previously unselected package adduser.
Unpacking adduser (from .../adduser_3.113+nmu3_all.deb) ...
Selecting previously unselected package wget.
Unpacking wget (from .../wget_1.13.4-3+deb7u5_amd64.deb) ...
Selecting previously unselected package file.
Unpacking file (from .../file_5.11-2+deb7u9_amd64.deb) ...
Selecting previously unselected package krb5-locales.
Unpacking krb5-locales (from .../krb5-locales_1.10.1+dfsg-5+deb7u8_all.deb) ...
Selecting previously unselected package mime-support.
Unpacking mime-support (from .../mime-support_3.52-1+deb7u1_all.deb) ...
Selecting previously unselected package python2.7-minimal.
Unpacking python2.7-minimal (from .../python2.7-minimal_2.7.3-6+deb7u3_amd64.deb) ...
Selecting previously unselected package python2.7.
Unpacking python2.7 (from .../python2.7_2.7.3-6+deb7u3_amd64.deb) ...
Selecting previously unselected package python-minimal.
Unpacking python-minimal (from .../python-minimal_2.7.3-4+deb7u1_all.deb) ...
Selecting previously unselected package python.
Unpacking python (from .../python_2.7.3-4+deb7u1_all.deb) ...
Selecting previously unselected package openssl.
Unpacking openssl (from .../openssl_1.0.1t-1+deb7u2_amd64.deb) ...
Selecting previously unselected package ca-certificates.
Unpacking ca-certificates (from .../ca-certificates_20130119+deb7u1_all.deb) ...
Selecting previously unselected package curl.
Unpacking curl (from .../curl_7.26.0-1+wheezy22_amd64.deb) ...
Selecting previously unselected package dbus.
Unpacking dbus (from .../dbus_1.6.8-1+deb7u6_amd64.deb) ...
Selecting previously unselected package libgirepository-1.0-1.
Unpacking libgirepository-1.0-1 (from .../libgirepository-1.0-1_1.32.1-1_amd64.deb) ...
Selecting previously unselected package gir1.2-glib-2.0.
Unpacking gir1.2-glib-2.0 (from .../gir1.2-glib-2.0_1.32.1-1_amd64.deb) ...
Selecting previously unselected package libglib2.0-data.
Unpacking libglib2.0-data (from .../libglib2.0-data_2.33.12+really2.32.4-5_all.deb) ...
Selecting previously unselected package libsasl2-modules:amd64.
Unpacking libsasl2-modules:amd64 (from .../libsasl2-modules_2.1.25.dfsg1-6+deb7u1_amd64.deb) ...
Selecting previously unselected package python-dbus-dev.
Unpacking python-dbus-dev (from .../python-dbus-dev_1.1.1-1_all.deb) ...
Selecting previously unselected package python-dbus.
Unpacking python-dbus (from .../python-dbus_1.1.1-1_amd64.deb) ...
Selecting previously unselected package python-gi.
Unpacking python-gi (from .../python-gi_3.2.2-2_amd64.deb) ...
Selecting previously unselected package shared-mime-info.
Unpacking shared-mime-info (from .../shared-mime-info_1.0-1+b1_amd64.deb) ...
Selecting previously unselected package software-properties-common.
Unpacking software-properties-common (from .../software-properties-common_0.82.7.1debian1_all.deb) ...
Selecting previously unselected package unzip.
Unpacking unzip (from .../unzip_6.0-8+deb7u6_amd64.deb) ...
Selecting previously unselected package xml-core.
Unpacking xml-core (from .../xml-core_0.13+nmu2_all.deb) ...
Setting up libgpg-error0:amd64 (1.10-3.1) ...
Setting up libgcrypt11:amd64 (1.5.0-5+deb7u6) ...
Setting up libgdbm3:amd64 (1.8.3-11) ...
Setting up libncursesw5:amd64 (5.9-10) ...
Setting up libssl1.0.0:amd64 (1.0.1t-1+deb7u2) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
Setting up libtasn1-3:amd64 (2.13-2+deb7u5) ...
Setting up libcap2:amd64 (1:2.22-1.2) ...
Setting up libp11-kit0:amd64 (0.12-3) ...
Setting up libgnutls26:amd64 (2.12.20-8+deb7u5) ...
Setting up libgpm2:amd64 (1.20.4-6) ...
Setting up libkeyutils1:amd64 (1.5.5-3+deb7u1) ...
Setting up libkrb5support0:amd64 (1.10.1+dfsg-5+deb7u8) ...
Setting up libk5crypto3:amd64 (1.10.1+dfsg-5+deb7u8) ...
Setting up libkrb5-3:amd64 (1.10.1+dfsg-5+deb7u8) ...
Setting up libgssapi-krb5-2:amd64 (1.10.1+dfsg-5+deb7u8) ...
Setting up libidn11:amd64 (1.25-2+deb7u3) ...
Setting up libmagic1:amd64 (5.11-2+deb7u9) ...
Setting up libpcre3:amd64 (1:8.30-5) ...
Setting up libsasl2-2:amd64 (2.1.25.dfsg1-6+deb7u1) ...
Setting up libldap-2.4-2:amd64 (2.4.31-2+deb7u3) ...
Setting up librtmp0:amd64 (2.4+20111222.git4e06e21-1+deb7u1) ...
Setting up libssh2-1:amd64 (1.4.2-1.1+deb7u2) ...
Setting up libcurl3:amd64 (7.26.0-1+wheezy22) ...
Setting up libdbus-1-3:amd64 (1.6.8-1+deb7u6) ...
Setting up libffi5:amd64 (3.0.10-3+deb7u2) ...
Setting up libglib2.0-0:amd64 (2.33.12+really2.32.4-5) ...
No schema files found: doing nothing.
Setting up libdbus-glib-1-2:amd64 (0.100.2-1) ...
Setting up libexpat1:amd64 (2.1.0-1+deb7u5) ...
Setting up libsqlite3-0:amd64 (3.7.13-1+deb7u4) ...
Setting up libxml2:amd64 (2.8.0+dfsg1-7+wheezy9) ...
Setting up libclass-isa-perl (0.36-3) ...
Setting up libsystemd-login0:amd64 (44-11+deb7u5) ...
Setting up adduser (3.113+nmu3) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
Setting up wget (1.13.4-3+deb7u5) ...
Setting up file (5.11-2+deb7u9) ...
Setting up krb5-locales (1.10.1+dfsg-5+deb7u8) ...
Setting up mime-support (3.52-1+deb7u1) ...
update-alternatives: using /usr/bin/see to provide /usr/bin/view (view) in auto mode
Setting up python2.7-minimal (2.7.3-6+deb7u3) ...
Linking and byte-compiling packages for runtime python2.7...
Setting up python2.7 (2.7.3-6+deb7u3) ...
Setting up python-minimal (2.7.3-4+deb7u1) ...
Setting up python (2.7.3-4+deb7u1) ...
Setting up openssl (1.0.1t-1+deb7u2) ...
Setting up ca-certificates (20130119+deb7u1) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
Setting up curl (7.26.0-1+wheezy22) ...
Setting up dbus (1.6.8-1+deb7u6) ...
invoke-rc.d: policy-rc.d denied execution of start.
Setting up libgirepository-1.0-1 (1.32.1-1) ...
Setting up gir1.2-glib-2.0 (1.32.1-1) ...
Setting up libglib2.0-data (2.33.12+really2.32.4-5) ...
Setting up libsasl2-modules:amd64 (2.1.25.dfsg1-6+deb7u1) ...
Setting up python-dbus-dev (1.1.1-1) ...
Setting up python-dbus (1.1.1-1) ...
Remove stale byte-compiled files...
Setting up python-gi (3.2.2-2) ...
Setting up shared-mime-info (1.0-1+b1) ...
Setting up software-properties-common (0.82.7.1debian1) ...
Setting up unzip (6.0-8+deb7u6) ...
Setting up perl-modules (5.14.2-21+deb7u5) ...
Setting up libswitch-perl (2.16-2) ...
Setting up perl (5.14.2-21+deb7u5) ...
update-alternatives: using /usr/bin/prename to provide /usr/bin/rename (rename) in auto mode
Setting up sgml-base (1.26+nmu4) ...
Setting up xml-core (0.13+nmu2) ...
Processing triggers for ca-certificates ...
Updating certificates in /etc/ssl/certs... 171 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d....done.
Processing triggers for sgml-base ...
 ---> 342d77303cc4
Removing intermediate container e09111bbeeb3
Step 5 : RUN apt-key adv --keyserver pgp.mit.edu --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
 ---> Running in 0d938f19f4f4
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.LGa0IHJfTu --trustdb-name /etc/apt//trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyring /etc/apt/trusted.gpg.d//debian-archive-jessie-automatic.gpg --keyring /etc/apt/trusted.gpg.d//debian-archive-jessie-security-automatic.gpg --keyring /etc/apt/trusted.gpg.d//debian-archive-jessie-stable.gpg --keyring /etc/apt/trusted.gpg.d//debian-archive-squeeze-automatic.gpg --keyring /etc/apt/trusted.gpg.d//debian-archive-squeeze-stable.gpg --keyring /etc/apt/trusted.gpg.d//debian-archive-wheezy-automatic.gpg --keyring /etc/apt/trusted.gpg.d//debian-archive-wheezy-stable.gpg --keyserver pgp.mit.edu --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
gpg: requesting key D3D831EF from hkp server pgp.mit.edu
gpg: keyserver timed out
gpg: keyserver receive failed: keyserver error
The command '/bin/sh -c apt-key adv --keyserver pgp.mit.edu --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF' returned a non-zero code: 2


The the run command

Code: Select all

[~] # docker run -dit -p 8041:8041 -p 8002:8002 --name CumulusMX --privileged -v /dev/bus/usb:/dev/bus/usb cumulus:latest
Unable to find image 'cumulus:latest' locally
Pulling repository docker.io/library/cumulus
container-station/docker: Error: image library/cumulus not found.
See 'container-station/docker run --help'.


Not sure that I cleaned all files out after first run, I completely removed the Docker dir.

Please help.

User avatar
kasper58
Posts: 23
Joined: Tue Jul 12, 2011 5:17 am
Weather Station: Aercus Instruments WS3083
Operating System: Hopefully QNAS LXC Docker
Location: New Zealand
Contact:

Re: CumulusMX Docker Image

Postby kasper58 » Tue Nov 07, 2017 8:20 pm

Ok mate.
Got it running again, some issues with the Virtual Switch in QNAP.

Any chance you can run it as a LXC instead, so I can access and change the CumulusMX files. Does it need to run as a privileged container?

Regards Warren

Jiinxt
Posts: 4
Joined: Sun Oct 29, 2017 5:14 pm
Weather Station: Ambient Weather
Operating System: Ubuntu 16.04

Re: CumulusMX Docker Image

Postby Jiinxt » Mon Nov 13, 2017 12:41 am

@kasper58

Never messed with LXC before, if you want to change the files feel free. You can get into the container with "docker exec -it cumulus /bin/bash". In my testing I had to run it as a privileged container to be able to access USB on the host. If you have a better idea on how to not run it as privileged let me know.

@steve

Understood, not claiming anything. The point of this is to make it easier to get cumulusMX running. Now instead of having to walk people through getting the correct mono version installed and everything, they can just run the above two commands and it should just work. If its okay with you, I'd be happy to push the image to docker hub then it would be even eaiser for people with docker to get this running. It would bring the installation of cumulusMX down to a single command.


Return to “Cumulus MX”

Who is online

Users browsing this forum: No registered users and 8 guests